#!/bin/bash

# Made by zskiljan@srce.hr & drago@srce.hr
# Ne koristim 'which' iako putanje nisu uvijek standardne
POSTFIXLOG="/var/log/mail.log"
POSTFIXSTATE="/tmp/zabbix-postfix-offset"
POSTFIXDAT=$(mktemp)
LOGTAIL="/usr/sbin/logtail"
PFLOGSUMM="/usr/sbin/pflogsumm"
# Zabbix_sender putanja ce ovisiti o paketu zabbix_agent !!
ZABBIX_SENDER="/usr/bin/zabbix_sender"
ZABBIX_CONF="/etc/zabbix/zabbix_agentd.conf"
 
function zsend {
	$ZABBIX_SENDER -c $ZABBIX_CONF -k $1 -o $2 > /dev/null 2>&1
	}
    
$LOGTAIL -f$POSTFIXLOG -o$POSTFIXSTATE | $PFLOGSUMM -h 0 -u 0 --no_bounce_detail --no_deferral_detail --no_reject_detail --no_no_msg_size --no_smtpd_warnings > $POSTFIXDAT
     
     zsend postfix.received `grep -m 1 received $POSTFIXDAT|cut -f1 -d"r"`
     zsend postfix.delivered `grep -m 1 delivered $POSTFIXDAT|cut -f1 -d"d"`
     zsend postfix.forwarded `grep -m 1 forwarded $POSTFIXDAT|cut -f1 -d"f"`
     zsend postfix.deferred `grep -m 1 deferred $POSTFIXDAT|cut -f1 -d"d"`-a
     zsend postfix.bounced `grep -m 1 bounced $POSTFIXDAT|cut -f1 -d"b"`
     zsend postfix.rejected `grep -m 1 rejected $POSTFIXDAT|cut -f1 -d"r"`
     zsend postfix.rejectwarnings `grep -m 1 "reject warnings" $POSTFIXDAT|cut -f1 -d"r"`
     zsend postfix.held `grep -m 1 held $POSTFIXDAT|cut -f1 -d"h"`
     zsend postfix.discarded `grep -m 1 discarded $POSTFIXDAT|cut -f1 -d"d"`
     zsend postfix.bytesreceived `grep -m 1 "bytes received" $POSTFIXDAT|cut -f1 -d"b"`
     zsend postfix.bytesdelivered `grep -m 1 "bytes delivered" $POSTFIXDAT|cut -f1 -d"b"`
     zsend postfix.mailqueue `mailq | grep -v "Mail queue is empty" | grep -c '^[0-9A-Za-z]+[ ]+[0-9]'` 

rm -f $POSTFIXDAT
echo "1"
